ResourceControllerDeleteBuiltInResource Method

DELETE /Resource/BuiltInResource/ Deletes the contents of the specified built-in resource.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpDeleteAttribute]
[ActionNameAttribute("BuiltInResource")]
public IActionResult DeleteBuiltInResource(
	BuiltInResourceKind resourceKind,
	Guid? tenantId = null,
	Guid? sessionId = null
)

Parameters

resourceKind
Type: Dundas.BI.AppResourcesBuiltInResourceKind
The kind of resource to get.
tenantId (Optional)
Type: SystemNullableGuid
The optional tenant ID this resource is for.
sessionId (Optional)
Type: SystemNullableGuid
The ID of the session.

Return Value

Type: IActionResult
A Boolean with the result, or a status code indicating the problem.
See Also